Name:		freemind
Version:	1.0.1
Release:	%mkrel 10
Summary:	Free mind mapping software
Group:		Development/Java
License:	GPLv2 and MIT
URL:		http://freemind.sourceforge.net
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-src-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.xml

Patch0:		0001-Fix-JOrtho-resource-lookup.patch
Patch1:		0002-Update-to-current-jgoodies-forms.patch
Patch2:		0003-Update-to-current-JMapViewer.patch
Patch3:		0004-Update-to-groovy-2.4.patch
Patch4:		0005-Adapt-launcher.patch
Patch5:		0006-Plugin-classpath.patch

BuildArch:	noarch

BuildRequires:	ant
BuildRequires:	avalon-framework
BuildRequires:	batik
BuildRequires:	bcel
BuildRequires:	desktop-file-utils
BuildRequires:	fop
BuildRequires:	groovy-lib
BuildRequires:	imagemagick
BuildRequires:	java >= 1:1.6.0
BuildRequires:	javahelp2
BuildRequires:	jgoodies-forms >= 1.6.0
BuildRequires:	jibx
BuildRequires:	jmapviewer
BuildRequires:	jortho
BuildRequires:	javapackages-local
BuildRequires:	junit
BuildRequires:	log4j
BuildRequires:	SimplyHTML
BuildRequires:	xpp3
BuildRequires:	gnu-regexp
BuildRequires:	xerces-j2
BuildRequires:	apache-commons-lang

Requires:	%{name}-minimal = %{version}-%{release}
Requires:	%{name}-help = %{version}-%{release}
Requires:	%{name}-svg = %{version}-%{release}
Requires:	%{name}-map = %{version}-%{release}
Requires:	%{name}-collaboration-socket = %{version}-%{release}
Requires:	%{name}-script = %{version}-%{release}

%description
FreeMind is a premier free mind-mapping software written in Java. The
recent development has hopefully turned it into high productivity tool.
So you want to write a completely new metaphysics? Why don't you use
FreeMind? You have a tool at hand that remarkably resembles the tray
slips of Robert Pirsig, described in his sequel to Zen and the Art of
Motorcycle Maintenance called Lila. Do you want to refactor your essays
in a similar way you would refactor software? Or do you want to keep
personal knowledge base, which is easy to manage? Why don't you try
FreeMind? Do you want to prioritize, know where you are, where you've
been and where you are heading, as Stephen Covey would advise you? Have
you tried FreeMind to keep track of all the things that are needed for
that?

%package	minimal
Summary:	Core FreeMind without plugins
Requires:	java
Requires:	jibx
Requires:	xpp3
Requires:	apache-commons-lang
Requires:	jgoodies-forms
Requires:	jortho
Requires:	xalan-j2
Requires:	xml-commons-apis
Requires:	xerces-j2
Requires:	SimplyHTML
Requires:	gnu-regexp
Requires:	hicolor-icon-theme
Requires:	xdg-utils

%description	minimal
%{summary}.

%package	help
Summary:	Help plugin for FreeMind
Requires:	%{name}-minimal = %{version}-%{release}
Requires:	javahelp2

%description	help
%{summary}.

%package	svg
Summary:	SVG exporter for FreeMind
Requires:	%{name}-minimal = %{version}-%{release}
Requires:	batik
Requires:	fop
Requires:	xmlgraphics-commons
Requires:	xml-commons-apis
Requires:	rhino
Requires:	xerces-j2

%description	svg
%{summary}.

%package	map
Summary:	Map viewer plugin for FreeMind
Requires:	%{name}-minimal = %{version}-%{release}
Requires:	jmapviewer

%description	map
%{summary}.

%package	collaboration-socket
Summary:	Collaboration plugin for FreeMind
Requires:	%{name}-minimal = %{version}-%{release}

%description	collaboration-socket
%{summary}.

%package	script
Summary:	Groovy scripting plugin for FreeMind
Requires:	%{name}-minimal = %{version}-%{release}
Requires:	groovy-lib

%description	script
%{summary}.

%package	javadoc
Summary:	API documentation for %{name}
Group:		Documentation

%description	javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}

%autopatch -p1

sed -i 's/\r//' accessories/LICENSE.MIT

# set default lookandfeel to be gtk. Fixes bug #729487
sed -i 's/lookandfeel = default/lookandfeel = gtk/' freemind.properties

find . -name "*.jar" -delete
find . -name "*.class" -delete
find . -name "*.zip" -delete

chmod 744 check_for_duplicate_resources.sh

sed -ri 's/(<java(do)?c)/\1 encoding="UTF-8"/g' `find -name 'build*.xml'`

%build
%ant all doc \
    -Djibxruntimelibs=`build-classpath jibx bcel` \
    -DformsLib=`build-classpath jgoodies-forms` \
    -DspellLib=`build-classpath jortho` \
    -DsimplyHtml=`build-classpath SimplyHTML` \
    -Dtest.reports='reports' \
    -Ddist='dist' \
    -Dbuild='build/calsses' \
    -Dtestbuild='build/testclasses' \
    -Dsrc_base_for_post='.' \
    -Dpost='post' \
    -Dadditional.lib=`build-classpath javahelp2 JMapViewer groovy batik \
                      avalon-framework-api fop`

%install
# jars
mkdir -p %{buildroot}%{_javadir}/%{name}
install -pm 644 dist/lib/freemind.jar %{buildroot}%{_javadir}/%{name}/%{name}.jar
install -pm 644 dist/lib/bindings.jar %{buildroot}%{_javadir}/%{name}/bindings.jar
install -pm 644 dist/browser/freemindbrowser.jar %{buildroot}%{_javadir}/%{name}/%{name}browser.jar

rm -r lib
mkdir lib
ln -s %{_javadir}/%{name}/%{name}.jar lib/
ln -s %{_javadir}/%{name}/bindings.jar lib/
# base dependencies
DEPS="jibx/run xpp3 commons-lang jgoodies-forms jgoodies-common
      jortho xalan-j2 xalan-j2-serializer xml-commons-apis xerces-j2
      SimplyHTML gnu-regexp mnemonicsetter"
# help plugin
DEPS="$DEPS javahelp2"
# svg export plugin
DEPS="$DEPS batik-all fop pdf-transcoder xmlgraphics-commons
      avalon-framework avalon-framework-api avalon-framework-impl
      commons-logging commons-io rhino xml-commons-apis
      xml-commons-apis-ext xerces-j2"
# map viewer plugin
DEPS="$DEPS JMapViewer"
# script plugin
DEPS="$DEPS groovy-all"

build-jar-repository lib "$DEPS"

mkdir -p %{buildroot}%{_datadir}/%{name}
cp -r lib %{buildroot}/%{_datadir}/%{name}/

cp -pr plugins/dist/plugins %{buildroot}%{_datadir}/%{name}/

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
mv dist/doc/javadoc/* %{buildroot}%{_javadocdir}/%{name}

mkdir -p %{buildroot}%{_bindir}
install -pm 755 freemind.sh %{buildroot}%{_bindir}/%{name}

# data needed to run freemind
mkdir -p %{buildroot}%{_datadir}/%{name}/accessories
cp -pr dist/accessories %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{_datadir}/%{name}/doc
cp -pr dist/doc %{buildroot}%{_datadir}/%{name}
cp -p dist/patterns.xml %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{_datadir}/%{name}/browser
rm dist/browser/freemindbrowser.jar
cp -pr dist/browser %{buildroot}%{_datadir}/%{name}
ln -s %{_javadir}/%{name}/freemindbrowser.jar %{buildroot}%{_datadir}/%{name}/browser/%{name}browser.jar

desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}


mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/16x16/apps
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps

convert -scale 32 images/FreeMindWindowIcon.png \
%{buildroot}%{_datadir}/pixmaps/%{name}.png

for i in 16 32 48
do
   convert -scale $i images/FreeMindWindowIcon.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/%{name}.png
done

mkdir -p %{buildroot}%{_datadir}/mime/packages
cp -a %{SOURCE2} %{buildroot}%{_datadir}/mime/packages/

%files
# metapackage to pull in all modules

%files minimal
%doc history.txt readme.txt
%license license accessories/LICENSE.MIT
%{_bindir}/%{name}
%{_javadir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%exclude %{_datadir}/%{name}/plugins/*

%files help
%{_datadir}/%{name}/plugins/help
%{_datadir}/%{name}/plugins/FreemindHelp.xml

%files svg
%{_datadir}/%{name}/plugins/svg
%{_datadir}/%{name}/plugins/ExportSvg.xml

%files map
%{_datadir}/%{name}/plugins/map
%{_datadir}/%{name}/plugins/MapViewer.xml

%files collaboration-socket
%{_datadir}/%{name}/plugins/collaboration
%{_datadir}/%{name}/plugins/CollaborationSocket.xml

%files script
%{_datadir}/%{name}/plugins/script
%{_datadir}/%{name}/plugins/ScriptingEngine.xml

%files javadoc
%license license accessories/LICENSE.MIT
%{_javadocdir}/%{name}


%changelog
* Wed Dec 07 2016 daviddavid <daviddavid> 1.0.1-10.mga6
+ Revision: 1073130
- sync again with fedora:
  * Add batik-all to classpath (Resolves rhbz#1402128)
  * Simplify classpath handling
  * Add requires on xdg-utils

* Sun Nov 13 2016 daviddavid <daviddavid> 1.0.1-9.mga6
+ Revision: 1067029
- sync with fedora:
  * Port to current groovy 2.4
  * Add build-requires on javapackages-local
  * Split plugins into subpackages
  * Fix plugin classpaths
  * Fix missing mnemonicsetter classpath entry
  * Don't rely on script being in /usr/bin
  * Add more missing classpath entries (jgoodies-common, avalon-framework-*)

* Fri Feb 26 2016 daviddavid <daviddavid> 1.0.1-8.mga6
+ Revision: 979688
- switch to groovy 1.8 and objectweb-asm3 to fix build
- fix groovy-1.8 classpath
- fix asm-distroshaded classpath

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Feb 19 2015 daviddavid <daviddavid> 1.0.1-7.mga5
+ Revision: 815936
- readapt all the package with that of Fedora
- use a buildable tarball
- add a javadoc subpackage
- build with objectweb-asm (build-classpath)
- update desktop file French translation
- use %%jpackage_script instead of source file
- use upstream icon file instead of source file

* Tue Jan 06 2015 alexl <alexl> 1.0.1-6.mga5
+ Revision: 808813
- add GenericName from freeplane

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 745527
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-4.mga5
+ Revision: 679343
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 alexl <alexl> 1.0.1-3.mga5
+ Revision: 661809
- fixed mime-info

* Thu Jul 31 2014 alexl <alexl> 1.0.1-2.mga5
+ Revision: 658739
- added GenericName
- translated desktop file

* Sun Jul 20 2014 alexl <alexl> 1.0.1-1.mga5
+ Revision: 654862
- version 1.0.1
- fixed installation for docs (used by the program)

* Sun Apr 13 2014 alexl <alexl> 1.0.0-2.mga5
+ Revision: 613816
- used javadir instead of datadir (policy)

* Sun Apr 06 2014 alexl <alexl> 1.0.0-1.mga5
+ Revision: 612285
- clean spec
- new version 1.0.0
- move from obsolete in cauldron

  + dmorgan <dmorgan>
    - Package is retired
    - Fix Build

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Jul 22 2013 barjac <barjac> 1:0.9.0-5.mga4
+ Revision: 457032
- remove obsolete BRs to fix build

* Mon Jan 21 2013 dmorgan <dmorgan> 1:0.9.0-4.mga3
+ Revision: 390385
- Fix requires in the javadoc package

* Sat Jan 12 2013 umeabot <umeabot> 1:0.9.0-3.mga3
+ Revision: 352562
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 23 2011 dmorgan <dmorgan> 1:0.9.0-2.mga1
+ Revision: 100242
- Fix buildrequires
- Fix classpath in %%_bindir/ ( mga #1398)

* Sun May 08 2011 ahmad <ahmad> 1:0.9.0-1.mga1
+ Revision: 95969
- Sync with freemind-0.9.0-1.fc15.src.rpm (too many changes, for the full
  details have a look at the changelog at:
  http://pkgs.fedoraproject.org/gitweb/?p=freemind.git;a=blob;f=freemind.spec

  + ennael <ennael>
    - clean spec file
    - imported package freemind


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.0-0.0.10mdv2011.0
+ Revision: 610759
- rebuild

* Wed Jan 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1:0.9.0-0.0.9mdv2010.1
+ Revision: 497020
- add 'text/x-troff-mm' mimetype

* Tue Jan 12 2010 Rémy Clouard <shikamaru@mandriva.org> 1:0.9.0-0.0.8mdv2010.1
+ Revision: 490015
- wipe out unneeded patch
- disable temporarily broken function
- fix jarbundler issue
- try to fix jarbundler path
- drop wrong source file
- comment unappliable patch
- activate --execdebug for ant

  + Sandro Cazzaniga <kharec@mandriva.org>
    - upgrade to 0.9.0 RC6

* Thu Sep 03 2009 Thierry Vignaud <tv@mandriva.org> 1:0.9.0-0.0.7mdv2010.0
+ Revision: 428889
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Aug 11 2008 David Walluck <walluck@mandriva.org> 1:0.9.0-0.0.6mdv2009.0
+ Revision: 270875
- fix %%doc
- 0.9.0 Beta 19

* Fri Feb 01 2008 David Walluck <walluck@mandriva.org> 1:0.9.0-0.0.5mdv2008.1
+ Revision: 161225
- add gnu-regexp and simplyhtml to CLASSPATH

* Sun Dec 30 2007 David Walluck <walluck@mandriva.org> 1:0.9.0-0.0.4mdv2008.1
+ Revision: 139453
- don't ship javadoc in the main package

* Sun Dec 30 2007 David Walluck <walluck@mandriva.org> 1:0.9.0-0.0.3mdv2008.1
+ Revision: 139394
- fix jakarta-oro
- bindings.jar is removed and then patched
- add sources
- fix macro
- 0.9.0-beta15

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 1:0.7.1-2mdv2008.0
+ Revision: 87375
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Mon Sep 10 2007 David Walluck <walluck@mandriva.org> 1:0.7.1-1mdv2008.0
+ Revision: 83973
- bump epoch and change to real version 0.7.1
- use 0.7.1 tagged CVS source
- fix javadoc Group
- fix javadoc build with sijdoc
- add vendor to dekstop file
- remove %%ghost from %%dir %%{_javadocdir}/%%{name}
- don't force CVS dir removal
- remove Application category from desktop file

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - do not force usage of jamvm (which is also broken on i586..)


* Tue Jan 16 2007 David Walluck <walluck@mandriva.org> 0.9.0-2mdv2007.0
+ Revision: 109414
- fix group

* Tue Jan 02 2007 David Walluck <walluck@mandriva.org> 0:0.9.0-1mdv2007.1
+ Revision: 103478
- add desktop-file-utils requirement
- Import freemind

* Mon Jan 02 2006 David Walluck <walluck@mandriva.org> 0:0.9.0-1mdv2007.1
- 0.9.0 (CVS 20070102)

